package com.mx.cneeds.server.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 功能与角色映射表
 * 
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-03-16 11:22:10
 */
@Data
@TableName("sys_user_func")
public class SysUserFuncEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Long id;
	/**
	 * 用户Id
	 */
	private Long userId;
	/**
	 * 功能Id
	 */
	private Long funcId;

}
