package com.mx.cneeds.common.dto;

import lombok.Data;

import java.util.Date;

/**
 * @ClassName DeviceLogDto
 * @Author zzrdark
 * @Date 2020-04-01 17:07
 * @Description TODO
 **/
@Data
public class DeviceLogDto {

    /**
     * logId
     */
    private Long logId;

    /**
     * bug名字
     */
    private String logName;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 设备id
     */
    private Long deviceId;

    /**
     * 情况-1不可用 0未处理,1已查看
     */
    private Integer status;

    /**
     * 创建人名字
     */
    private String createUsername;

    /**
     *
     */
    private Long userId;

    /**
     * 复现步骤
     */
    private String repetitionSteps;

    /**
     * 复现概率
     */
    private Integer repetitionProbability;

    /**
     * 日志文件存放路径
     */
    private String logfileUrl;

    /**
     * 日志文件大小
     */
    private Long logfileSize;

    /**
     * 日志文件上传状态,-1,失败,0上传中,1完成
     */
    private Integer logfileStatus;

    /**
     * 设备版本
     */
    private String deviceVersion;

    /**
     * 产品系列号
     */
    private String seriesNum;

    /**
     * 移动端日志文件标识符
     */
    private String logAcceptId;

    private String imei;
}
